WPSPageSpan Class Reference documentation

Public Types | Public Member Functions | Protected Member Functions | Private Attributes | List of all members
WPSPageSpan Class Reference

`#include <WPSPageSpan.h>`

## Public Types
enum | FormOrientation { PORTRAIT, LANDSCAPE }
enum | HeaderFooterType { HEADER, FOOTER }
enum | HeaderFooterOccurrence { ODD, EVEN, ALL, FIRST, NEVER }
enum | PageNumberPosition { None = 0, TopLeft, TopCenter, TopRight, TopLeftAndRight, TopInsideLeftAndRight, BottomLeft, BottomCenter, BottomRight, BottomLeftAndRight, BottomInsideLeftAndRight }

## Public Member Functions
| WPSPageSpan ()
| constructor More...
| WPSPageSpan (WPSPageSpan const &)=default
| WPSPageSpan (WPSPageSpan &&)=default
WPSPageSpan & | operator= (WPSPageSpan const &)=default
WPSPageSpan & | operator= (WPSPageSpan &&)=default
| ~WPSPageSpan ()
| destructor More...
double | getFormLength () const
double | getFormWidth () const
FormOrientation | getFormOrientation () const
double | getMarginLeft () const
double | getMarginRight () const
double | getMarginTop () const
double | getMarginBottom () const
PageNumberPosition | getPageNumberPosition () const
int | getPageNumber () const
libwps::NumberingType | getPageNumberingType () const
double | getPageNumberingFontSize () const
librevenge::RVNGString | getPageNumberingFontName () const
int | getPageSpan () const
const std::vector< WPSPageSpanInternal::HeaderFooterPtr > & | getHeaderFooterList () const
void | setHeaderFooter (const HeaderFooterType type, const HeaderFooterOccurrence occurrence, WPSSubDocumentPtr &subDocument)
void | setFormLength (const double formLength)
void | setFormWidth (const double formWidth)
void | setFormOrientation (const FormOrientation formOrientation)
void | setMarginLeft (const double marginLeft)
void | setMarginRight (const double marginRight)
void | setMarginTop (const double marginTop)
void | setMarginBottom (const double marginBottom)
void | setPageNumberPosition (const PageNumberPosition pageNumberPosition)
void | setPageNumber (const int pageNumber)
void | setPageNumberingType (const libwps::NumberingType pageNumberingType)
void | setPageNumberingFontSize (const double pageNumberingFontSize)
void | setPageNumberingFontName (const librevenge::RVNGString &pageNumberingFontName)
void | setPageSpan (const int pageSpan)
bool | operator== (std::shared_ptr< WPSPageSpan > const &pageSpan) const
bool | operator!= (std::shared_ptr< WPSPageSpan > const &pageSpan) const
void | getPageProperty (librevenge::RVNGPropertyList &pList) const
void | sendHeaderFooters (WPSContentListener *listener, librevenge::RVNGTextInterface *documentInterface)
void | sendHeaderFooters (WKSContentListener *listener, librevenge::RVNGSpreadsheetInterface *documentInterface)

## Protected Member Functions
int | _getHeaderFooterPosition (HeaderFooterType type, HeaderFooterOccurrence occurrence)
void | _setHeaderFooter (HeaderFooterType type, HeaderFooterOccurrence occurrence, WPSSubDocumentPtr &doc)
void | _removeHeaderFooter (HeaderFooterType type, HeaderFooterOccurrence occurrence)
bool | _containsHeaderFooter (HeaderFooterType type, HeaderFooterOccurrence occurrence)
void | _insertPageNumberParagraph (librevenge::RVNGTextInterface *documentInterface)

## Private Attributes
double | m_formLength
double | m_formWidth
FormOrientation | m_formOrientation
double | m_marginLeft
double | m_marginRight
double | m_marginTop
double | m_marginBottom
PageNumberPosition | m_pageNumberPosition
int | m_pageNumber
libwps::NumberingType | m_pageNumberingType
librevenge::RVNGString | m_pageNumberingFontName
double | m_pageNumberingFontSize
std::vector< WPSPageSpanInternal::HeaderFooterPtr > | m_headerFooterList
int | m_pageSpan

## Member Enumeration Documentation

## ◆ FormOrientation

enum WPSPageSpan::FormOrientation

Enumerator
PORTRAIT |
LANDSCAPE |

## ◆ HeaderFooterOccurrence

enum WPSPageSpan::HeaderFooterOccurrence

Enumerator
ODD |
EVEN |
ALL |
FIRST |
NEVER |

## ◆ HeaderFooterType

enum WPSPageSpan::HeaderFooterType

Enumerator
HEADER |
FOOTER |

## ◆ PageNumberPosition

enum WPSPageSpan::PageNumberPosition

Enumerator
None |
TopLeft |
TopCenter |
TopRight |
TopLeftAndRight |
TopInsideLeftAndRight |
BottomLeft |
BottomCenter |
BottomRight |
BottomLeftAndRight |
BottomInsideLeftAndRight |

## Constructor & Destructor Documentation

## ◆ WPSPageSpan() [1/3]

WPSPageSpan::WPSPageSpan | ( |  | ) |

constructor

## ◆ WPSPageSpan() [2/3]

WPSPageSpan::WPSPageSpan | ( | WPSPageSpan const & |  | ) |
| default

## ◆ WPSPageSpan() [3/3]

WPSPageSpan::WPSPageSpan | ( | WPSPageSpan && |  | ) |
| default

## ◆ ~WPSPageSpan()

WPSPageSpan::~WPSPageSpan | ( |  | ) |

destructor

## Member Function Documentation

## ◆ _containsHeaderFooter()

bool WPSPageSpan::_containsHeaderFooter | ( | HeaderFooterType | type,
|  | HeaderFooterOccurrence | occurrence
| ) |  |
| protected

Referenced by setHeaderFooter().

## ◆ _getHeaderFooterPosition()

int WPSPageSpan::_getHeaderFooterPosition | ( | HeaderFooterType | type,
|  | HeaderFooterOccurrence | occurrence
| ) |  |
| protected

Referenced by _containsHeaderFooter(), _removeHeaderFooter(), and _setHeaderFooter().

## ◆ _insertPageNumberParagraph()

void WPSPageSpan::_insertPageNumberParagraph | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| protected

Referenced by sendHeaderFooters().

## ◆ _removeHeaderFooter()

void WPSPageSpan::_removeHeaderFooter | ( | HeaderFooterType | type,
|  | HeaderFooterOccurrence | occurrence
| ) |  |
| protected

Referenced by setHeaderFooter().

## ◆ _setHeaderFooter()

void WPSPageSpan::_setHeaderFooter | ( | HeaderFooterType | type,
|  | HeaderFooterOccurrence | occurrence,
|  | WPSSubDocumentPtr & | doc
| ) |  |
| protected

Referenced by setHeaderFooter().

## ◆ getFormLength()

double WPSPageSpan::getFormLength | ( |  | ) | const
| inline

Referenced by WKSContentListener::_openPageSpan(), WPSContentListener::_openPageSpan(), getPageProperty(), and WPS8Parser::readDocProperties().

## ◆ getFormOrientation()

FormOrientation WPSPageSpan::getFormOrientation | ( |  | ) | const
| inline

Referenced by WKSContentListener::_openPageSpan(), WPSContentListener::_openPageSpan(), and getPageProperty().

## ◆ getFormWidth()

double WPSPageSpan::getFormWidth | ( |  | ) | const
| inline

Referenced by WKSContentListener::_openPageSpan(), WPSContentListener::_openPageSpan(), getPageProperty(), and WPS8Parser::readDocProperties().

## ◆ getHeaderFooterList()

const std::vector<WPSPageSpanInternal::HeaderFooterPtr>& WPSPageSpan::getHeaderFooterList | ( |  | ) | const
| inline

## ◆ getMarginBottom()

double WPSPageSpan::getMarginBottom | ( |  | ) | const
| inline

Referenced by WKSContentListener::_openPageSpan(), WPSContentListener::_openPageSpan(), getPageProperty(), and operator==().

## ◆ getMarginLeft()

double WPSPageSpan::getMarginLeft | ( |  | ) | const
| inline

Referenced by WKSContentListener::_openPageSpan(), WPSContentListener::_openPageSpan(), MSWriteParser::getHeaderFooters(), getPageProperty(), and operator==().

## ◆ getMarginRight()

double WPSPageSpan::getMarginRight | ( |  | ) | const
| inline

Referenced by WKSContentListener::_openPageSpan(), WPSContentListener::_openPageSpan(), MSWriteParser::getHeaderFooters(), getPageProperty(), and operator==().

## ◆ getMarginTop()

double WPSPageSpan::getMarginTop | ( |  | ) | const
| inline

Referenced by WKSContentListener::_openPageSpan(), WPSContentListener::_openPageSpan(), getPageProperty(), and operator==().

## ◆ getPageNumber()

int WPSPageSpan::getPageNumber | ( |  | ) | const
| inline

Referenced by WPSContentListener::_appendParagraphProperties(), and operator==().

## ◆ getPageNumberingFontName()

librevenge::RVNGString WPSPageSpan::getPageNumberingFontName | ( |  | ) | const
| inline

Referenced by operator==().

## ◆ getPageNumberingFontSize()

double WPSPageSpan::getPageNumberingFontSize | ( |  | ) | const
| inline

Referenced by operator==().

## ◆ getPageNumberingType()

libwps::NumberingType WPSPageSpan::getPageNumberingType | ( |  | ) | const
| inline

Referenced by operator==().

## ◆ getPageNumberPosition()

PageNumberPosition WPSPageSpan::getPageNumberPosition | ( |  | ) | const
| inline

Referenced by operator==().

## ◆ getPageProperty()

void WPSPageSpan::getPageProperty | ( | librevenge::RVNGPropertyList & | pList | ) | const

Referenced by WKSContentListener::_openPageSpan(), and WPSContentListener::_openPageSpan().

## ◆ getPageSpan()

int WPSPageSpan::getPageSpan | ( |  | ) | const
| inline

Referenced by WKSContentListener::_openPageSpan(), WPSContentListener::_openPageSpan(), MSWriteParser::createListener(), and getPageProperty().

## ◆ operator!=()

bool WPSPageSpan::operator!= | ( | std::shared_ptr< WPSPageSpan > const & | pageSpan | ) | const
| inline

## ◆ operator=() [1/2]

WPSPageSpan& WPSPageSpan::operator= | ( | WPSPageSpan && |  | ) |
| default

## ◆ operator=() [2/2]

WPSPageSpan& WPSPageSpan::operator= | ( | WPSPageSpan const & |  | ) |
| default

## ◆ operator==()

bool WPSPageSpan::operator== | ( | std::shared_ptr< WPSPageSpan > const & | pageSpan | ) | const

Referenced by operator!=().

## ◆ sendHeaderFooters() [1/2]

void WPSPageSpan::sendHeaderFooters | ( | WKSContentListener * | listener,
|  | librevenge::RVNGSpreadsheetInterface * | documentInterface
| ) |  |

## ◆ sendHeaderFooters() [2/2]

void WPSPageSpan::sendHeaderFooters | ( | WPSContentListener * | listener,
|  | librevenge::RVNGTextInterface * | documentInterface
| ) |  |

Referenced by WKSContentListener::_openPageSpan(), and WPSContentListener::_openPageSpan().

## ◆ setFormLength()

void WPSPageSpan::setFormLength | ( | const double | formLength | ) |
| inline

Referenced by XYWriteParser::createListener(), MSWriteParser::getPageStyle(), WPS4Parser::readDocDim(), and WPS8Parser::readDocProperties().

## ◆ setFormOrientation()

void WPSPageSpan::setFormOrientation | ( | const FormOrientation | formOrientation | ) |
| inline

Referenced by WPS4Parser::readDocDim(), and WPS8Parser::readDocProperties().

## ◆ setFormWidth()

void WPSPageSpan::setFormWidth | ( | const double | formWidth | ) |
| inline

Referenced by XYWriteParser::createListener(), MSWriteParser::getPageStyle(), WPS4Parser::readDocDim(), and WPS8Parser::readDocProperties().

## ◆ setHeaderFooter()

void WPSPageSpan::setHeaderFooter | ( | const HeaderFooterType | type,
|  | const HeaderFooterOccurrence | occurrence,
|  | WPSSubDocumentPtr & | subDocument
| ) |  |

Referenced by QuattroParser::createListener(), QuattroDosParser::createListener(), WKS4Parser::createListener(), WPS4Parser::createListener(), WPS8Parser::createListener(), XYWriteParser::createListener(), and MSWriteParser::getHeaderFooters().

## ◆ setMarginBottom()

void WPSPageSpan::setMarginBottom | ( | const double | marginBottom | ) |
| inline

Referenced by XYWriteParser::createListener(), MSWriteParser::getPageStyle(), WPS4Parser::readDocDim(), WPS8Parser::readDocProperties(), and PocketWordParserInternal::State::State().

## ◆ setMarginLeft()

void WPSPageSpan::setMarginLeft | ( | const double | marginLeft | ) |
| inline

Referenced by XYWriteParser::createListener(), MSWriteParser::getPageStyle(), WPS4Parser::readDocDim(), WPS8Parser::readDocProperties(), and PocketWordParserInternal::State::State().

## ◆ setMarginRight()

void WPSPageSpan::setMarginRight | ( | const double | marginRight | ) |
| inline

Referenced by XYWriteParser::createListener(), MSWriteParser::getPageStyle(), WPS4Parser::readDocDim(), WPS8Parser::readDocProperties(), and PocketWordParserInternal::State::State().

## ◆ setMarginTop()

void WPSPageSpan::setMarginTop | ( | const double | marginTop | ) |
| inline

Referenced by XYWriteParser::createListener(), MSWriteParser::getPageStyle(), WPS4Parser::readDocDim(), WPS8Parser::readDocProperties(), and PocketWordParserInternal::State::State().

## ◆ setPageNumber()

void WPSPageSpan::setPageNumber | ( | const int | pageNumber | ) |
| inline

Referenced by MSWriteParser::getPageStyle().

## ◆ setPageNumberingFontName()

void WPSPageSpan::setPageNumberingFontName | ( | const librevenge::RVNGString & | pageNumberingFontName | ) |
| inline

## ◆ setPageNumberingFontSize()

void WPSPageSpan::setPageNumberingFontSize | ( | const double | pageNumberingFontSize | ) |
| inline

## ◆ setPageNumberingType()

void WPSPageSpan::setPageNumberingType | ( | const libwps::NumberingType | pageNumberingType | ) |
| inline

## ◆ setPageNumberPosition()

void WPSPageSpan::setPageNumberPosition | ( | const PageNumberPosition | pageNumberPosition | ) |
| inline

## ◆ setPageSpan()

void WPSPageSpan::setPageSpan | ( | const int | pageSpan | ) |
| inline

Referenced by QuattroParser::createListener(), Quattro9Parser::createListener(), MSWriteParser::createListener(), and MSWriteParser::getHeaderFooters().

## Member Data Documentation

## ◆ m_formLength

double WPSPageSpan::m_formLength
| private

Referenced by getFormLength(), operator==(), and setFormLength().

## ◆ m_formOrientation

FormOrientation WPSPageSpan::m_formOrientation
| private

Referenced by getFormOrientation(), operator==(), and setFormOrientation().

## ◆ m_formWidth

double WPSPageSpan::m_formWidth
| private

Referenced by getFormWidth(), operator==(), and setFormWidth().

## ◆ m_headerFooterList

std::vector<WPSPageSpanInternal::HeaderFooterPtr> WPSPageSpan::m_headerFooterList
| private

Referenced by _containsHeaderFooter(), _getHeaderFooterPosition(), _removeHeaderFooter(), _setHeaderFooter(), getHeaderFooterList(), operator==(), and sendHeaderFooters().

## ◆ m_marginBottom

double WPSPageSpan::m_marginBottom
| private

Referenced by getMarginBottom(), and setMarginBottom().

## ◆ m_marginLeft

double WPSPageSpan::m_marginLeft
| private

Referenced by getMarginLeft(), and setMarginLeft().

## ◆ m_marginRight

double WPSPageSpan::m_marginRight
| private

Referenced by getMarginRight(), and setMarginRight().

## ◆ m_marginTop

double WPSPageSpan::m_marginTop
| private

Referenced by getMarginTop(), and setMarginTop().

## ◆ m_pageNumber

int WPSPageSpan::m_pageNumber
| private

Referenced by getPageNumber(), and setPageNumber().

## ◆ m_pageNumberingFontName

librevenge::RVNGString WPSPageSpan::m_pageNumberingFontName
| private

Referenced by _insertPageNumberParagraph(), getPageNumberingFontName(), and setPageNumberingFontName().

## ◆ m_pageNumberingFontSize

double WPSPageSpan::m_pageNumberingFontSize
| private

Referenced by _insertPageNumberParagraph(), getPageNumberingFontSize(), and setPageNumberingFontSize().

## ◆ m_pageNumberingType

libwps::NumberingType WPSPageSpan::m_pageNumberingType
| private

Referenced by _insertPageNumberParagraph(), getPageNumberingType(), and setPageNumberingType().

## ◆ m_pageNumberPosition

PageNumberPosition WPSPageSpan::m_pageNumberPosition
| private

Referenced by _insertPageNumberParagraph(), getPageNumberPosition(), sendHeaderFooters(), and setPageNumberPosition().

## ◆ m_pageSpan

int WPSPageSpan::m_pageSpan
| private

Referenced by getPageSpan(), and setPageSpan().

The documentation for this class was generated from the following files:

- WPSPageSpan.h
- WPSPageSpan.cpp